#!/bin/bash
# $Id: Debian.sh 7889 2022-12-29 18:40:09Z flaterco $
# Build TCD file from SQL "source."
if [ "$1" == "" ]; then
  echo "Build TCD file from SQL \"source.\""
  echo "Usage: Debian file-prefix"
  echo "(Do not include the .sql suffix)"
  echo "You'll get file-prefix-free.tcd."
  echo "PostgreSQL programs dropdb and pgsql must be in PATH."
  exit 1
fi
dropdb harmbase2
psql < "$1.sql"
"PathGoesHere/hbexport" --optimize --free "$1-free.tcd"
