#!/bin/bash
# $Id: dwf-export.sh 7891 2022-12-29 19:41:12Z flaterco $
set -e
PREFIX=harmonics-dwf-
DATESTAMP=`date +%Y%m%d`
ID=${PREFIX}${DATESTAMP}
cd /tmp
mkdir ${ID}
cd ${ID}
tar xJf "dataGoesHere/boilerplate.txz"
pg_dump --no-owner -C harmbase2 | LANG=en_US grep -v "^--" > ${ID}.sql
cd ..
tar cvJ --numeric-owner --file ${ID}-SQL.tar.xz ${ID}
rm ${ID}/${ID}.sql
"binGoesHere/hbexport" ${ID}/${ID}-free.tcd
tar cvJ --numeric-owner --file ${ID}-free.tar.xz ${ID}
rm -rf ${ID}
